Устройство Qualcomm Atheros [168c: 0042] (версия 30) Установка драйвера Wi-Fi

17

Я купил ноутбук Acer и установил Ubuntu 14.04LTS, но WiFi драйверы для него недоступны. Поэтому я пытаюсь установить драйвер Windows с помощью wifidocs / driver / ndiswrapper.

При выполнении lspci -vvnn он дает:

Network controller [0280: Qualcomm Atheros Device [168c:0042] (rev 30)

Затем я также отключил драйверы атеросов. Используя lspci и lspci -n , могу сказать, что идентификатор PCI равен 168c:0042 . Но на веб-сайте Acer есть три атеровых драйвера. Я не мог понять, какой из них загружать, но скачал один на ПК с Windows и вставлял zip-файл на свой рабочий стол, а затем распаковывал его с терминала, используя unzip <filename>.zip . На странице говорится, что вам нужно перейти к системному оборудованию панели управления и всему, что относится к системе Windows. Я не делал этого. Компьютер Windows не был моим, я боюсь, что я не должен устанавливать на него дополнительный драйвер. После распаковки он имеет один файл .inx и один файл .bin , но не файл .sys . Я не знаю, полностью ли я здесь, или что-то пропустил? И если я прав, то как отсюда? Я также создал новый каталог и скопировал распакованные файлы .inx и .bin . Затем в этом каталоге я запустил ndiswrapper -i <filename>.inf , но он говорит, что ndiswrapper не установлен, и когда я делаю sudo apt-get install ndiswrapper-common , я получаю ответ, что ndiswrapper-common уже является последней версией. Что делать? вот мой

dmesg | grep ath10k result 
[   7.882758] ath10k_pci 0000:03:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[    8.190016] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2
[    8.334587] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA9377/hw1.0/board-2.bin failed with error -2
[   10.140677] ath10k_pci 0000:03:00.0: qca9377 hw1.0 (0x05020000, 0x003820ff sub 105b:e09a) fw WLAN.TF.1.0-00267-1 fwapi 5 bdapi 1 htt-ver 3.1 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1 features ignore-otp
[   10.140682] ath10k_pci 0000:03:00.0: debug 0 debugfs 0 tracing 0 dfs 0 testmode 0
Вот результат
lspci -nnk | grep -iA2 net

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15) Subsystem: Acer Incorporated [ALI] Device [1025:098a] Kernel driver in use: r8169 03:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:0042] (rev 30) Subsystem: Foxconn International, Inc. Device [105b:e09a] Kernel driver in use: ath10k_pci

    
задан gunjit 10.12.2015 в 08:23
источник

1 ответ

30

Ubuntu 16.04 пользователям просто нужно

sudo apt-get update && sudo apt-get upgrade

и перезагрузитесь.

Вам не нужны драйверы Windows и ndiswrapper.

Это было недавно исправлено вверху, следуйте этим инструкциям, чтобы установить модули с резервным копированием и необходимую прошивку:

sudo apt-get install build-essential linux-headers-$(uname -r) git
echo "options ath10k_core skip_otp=y" | sudo tee /etc/modprobe.d/ath10k_core.conf
wget https://www.kernel.org/pub/linux/kernel/projects/backports/stable/v4.4.2/backports-4.4.2-1.tar.gz
tar -zxvf backports-4.4.2-1.tar.gz
cd backport-4.4.2-1
make defconfig-wifi
make
sudo make install
git clone https://github.com/kvalo/ath10k-firmware.git
sudo cp -r ath10k-firmware/QCA9377 /lib/firmware/ath10k/
sudo cp /lib/firmware/ath10k/QCA9377/hw1.0/firmware-5.bin_WLAN.TF.1.0-00267-1 /lib/firmware/ath10k/QCA9377/hw1.0/firmware-5.bin

И он должен работать после перезагрузки.

Это не удастся, если новое ядро ​​будет установлено через обновления, пока ядро ​​не будет исправлено для поддержки Wi-Fi. Когда это произойдет, вам необходимо:

cd backports-4.4.2-1
make clean
make defconfig-wifi
make
sudo make install

И перезагрузитесь.

    
ответ дан Jeremy31 10.12.2015 в 10:41
источник